## org.apache.solr.client.solrj.request
Class CollectionAdminRequest.CreateShard

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CollectionAdminRequest
              org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest
                  org.apache.solr.client.solrj.request.CollectionAdminRequest.CreateShard

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest

    public static class CollectionAdminRequest.CreateShard

extends CollectionAdminRequest.CollectionShardAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.Reload, CollectionAdminRequest.SplitShard`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected String` `nodeSet`

Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest
`shardName`

Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`action, collection`

Constructor Summary
`CollectionAdminRequest.CreateShard()`

Method Summary
`String` `getNodeSet()`
`SolrParams` `getParams()`
`void` `setNodeSet(String nodeSet)`

Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest
`getCommonParams, getShardName, setShardName`

Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`createAlias, createCollection, createCollection, createCollection, createCollection, createShard, createShard, deleteAlias, deleteCollection, deleteShard, getContentStreams, process, reloadCollection, setAction, setCollectionName, splitShard, splitShard`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodeSet

    protected String nodeSet

Constructor Detail

### CollectionAdminRequest.CreateShard

    public CollectionAdminRequest.CreateShard()

Method Detail

### setNodeSet

    public void setNodeSet(String nodeSet)

### getNodeSet

    public String getNodeSet()

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CollectionAdminRequest.CollectionShardAdminRequest`

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.